=== src/ext/ec/rtpreempt/example/Makefile ===
# -*- Makefile -*-
#
# @file  Makefile.RTSample# @brief RTComponent makefile for "RTSample component"
# @date  $Date$
#
# This file is generated by rtc-template with the following argments.
#
#  /usr/bin/rtc-template -bcxx --module-name=RTSample  \
#  --module-type=DataFlowComponent  \
#  --module-desc=Realtime periodic execution example component  \
#  --module-version=1.0 --module-vendor=Noriaki Ando, AIST  \
#  --module-category=example --module-comp-type=DataFlowComponent  \
#  --module-act-type=PERIODIC --module-max-inst=10  
#
#
# $Id$
#
CXX      = `rtm-config --cxx`
CXXFLAGS = `rtm-config --cflags` -I.
LDFLAGS  = `rtm-config --libs`
SHFLAGS  = -shared

IDLC     = `rtm-config --idlc`
IDLFLAGS = `rtm-config --idlflags` -I`rtm-config --prefix`/include/rtm/idl
WRAPPER  = rtm-skelwrapper
WRAPPER_FLAGS = --include-dir="" --skel-suffix=Skel --stub-suffix=Stub

SKEL_OBJ =  
STUB_OBJ =  
IMPL_OBJ =  
OBJS     = RTSample.o $(SKEL_OBJ) $(STUB_OBJ) $(IMPL_OBJ)

.SUFFIXES : .so

all: RTSample.so RTSampleComp


.cpp.o:
	rm -f $@
	$(CXX) $(CXXFLAGS) -c -o $@ $<

.o.so:
	rm -f $@
	$(CXX) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

RTSampleComp: RTSampleComp.o $(OBJS)
	$(CXX) -o $@ $(OBJS) RTSampleComp.o $(LDFLAGS) 


clean: clean_objs clean_skelstub
	rm -f *~

clean_objs:
	rm -f $(OBJS) RTSampleComp.o RTSample.so RTSampleComp

clean_skelstub:
	rm -f *Skel.h *Skel.cpp
	rm -f *Stub.h *Stub.cpp



RTSample.so: $(OBJS)
RTSample.o: RTSample.h  
RTSampleComp.o: RTSampleComp.cpp RTSample.cpp RTSample.h  



# end of Makefile
