=== debian/changelog ===
ros-lunar-openrtm-aist (1.1.0-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 04 Sep 2018 01:39:40 -0000
